## slurm-wlm 22.05.7

=== debian/changelog ===
slurm-wlm (22.05.7-2) unstable; urgency=medium

  * Source only upload for testing

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 25 Jan 2023 22:30:47 +0100

slurm-wlm (22.05.7-1) experimental; urgency=medium

  [ Gennaro Oliva ]
  * New upstream major release
  * Bump standard version to 4.6.1 (no changes)
  * Remove hdf5 v18 api patch fixed upstream
  * Refresh patches
  * Update configurators
  * Update d/copyright
  * Add libdbus-1-dev dep for cgroup v2 plugin
  * Bump libslurm to soname 38
  * Create MySQL plugin packages
  * Create free plugin metapackage
  * Bump standard version to 4.6.2 (no changes)
  * Add patch to set the default cgroup basedir

  [ Tobias Pape ]
  * Create ipmi plugin packages
  * Create hdf5 plugin packages
  * Create influxdb plugin packages
  * Create rrd plugin packages
  * Create elasticsearch plugin packages
  * Create jwt plugin packages

  [ Tim Wickberg ]
  * Update slurm description

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 12 Jan 2023 01:20:28 +0100

slurm-wlm (21.08.8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * tests: increase number of attempts in sbatch (Closes: #1014506)

 -- Paul Gevers <elbrus@debian.org>  Thu, 10 Nov 2022 13:28:47 +0100

=== debian/control ===
Source: slurm-wlm
Section: admin
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Rémi Palancher <remi@rezib.org>,
           Mehdi Dogguy <mehdi@debian.org>,
           Gennaro Oliva <oliva.g@na.icar.cnr.it>,
Build-Depends:
 debhelper (>= 11),
 libmunge-dev,
 libncurses5-dev,
 po-debconf,
 python3,
 libgtk2.0-dev,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 hdf5-helpers,
 libfreeipmi-dev,
 libhdf5-dev,
 man2html,
 libcurl4-openssl-dev,
 libhttp-parser-dev,
 libyaml-dev,
 libjson-c-dev,
 libjwt-dev,
 liblz4-dev,
 bash-completion,
 libdbus-1-dev
Standards-Version: 4.6.2
Homepage: http://slurm.schedmd.com
Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

Package: slurm-wlm
Architecture: any
Depends:
 ${misc:Depends},
 slurmd (= ${binary:Version}),
 slurmctld (= ${binary:Version}),
 slurm-client (= ${binary:Version})
Description: Slurm Workload Manager
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This metapackage contains all client side commands, the compute node daemon
 and the central management daemon.

Package: slurm-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 munge,
 ucf
Conflicts: sinfo (<< 0.0.47-4)
Description: Slurm client side commands
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains all client side commands.

Package: slurmrestd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Slurm REST API daemon
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the REST API daemon slurmrestd.

Package: slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ucf,
 munge,
 lsb-base (>= 3.2-12)
Description: Slurm compute node daemon
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the compute node daemon slurmd.

Package: slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version}),
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ucf,
 munge,
 lsb-base (>= 3.2-12)
Description: Slurm central management daemon
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the central management daemon slurmctld.

Package: libslurm38
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for Slurm
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm runtime library.

Package: libpmi0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-wlm-basic-plugins (= ${binary:Version}),
Description: Slurm PMI library implementation
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI runtime implementation.

Package: libpmi2-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slurm PMI2 library implementation
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI2 runtime implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurm38 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Breaks: libslurmdb-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
Description: Slurm development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains Slurm static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi0 (= ${binary:Version}),
 libslurm38 (= ${binary:Version})
Description: Slurm PMI library implementation development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI implementation static library and header
 files

Package: libpmi2-0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi2-0 (= ${binary:Version}),
 libslurm38 (= ${binary:Version})
Description: Slurm PMI2 library implementation development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm PMI2 implementation static library and header
 files

Package: slurm-wlm-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Slurm documentation
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm html documentation.

Package: slurm-wlm-basic-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser
Recommends: slurm-wlm-plugins (= ${binary:Version}),
Description: Slurm basic plugins
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains the Slurm basic plugins

Package: slurm-wlm-basic-plugins-dev
Section: devel
Architecture: any
Recommends: slurm-wlm-plugins-dev (= ${binary:Version}),
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Description: Slurm basic plugins development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package contains development files for the Slurm basic plugins

Package: slurm-wlm-plugins
Architecture: any
Depends:
 slurm-wlm-basic-plugins (= ${binary:Version}),
 slurm-wlm-elasticsearch-plugin (= ${binary:Version}),
 slurm-wlm-hdf5-plugin (= ${binary:Version}),
 slurm-wlm-influxdb-plugin (= ${binary:Version}),
 slurm-wlm-ipmi-plugins (= ${binary:Version}),
 slurm-wlm-jwt-plugin (= ${binary:Version}),
 slurm-wlm-rrd-plugin (= ${binary:Version}),
 slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
 ${misc:Depends},
Description: Slurm free plugins (metapackage)
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package provides all the free Slurm plugins.

Package: slurm-wlm-plugins-dev
Architecture: any
Depends:
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-elasticsearch-plugin-dev (= ${binary:Version}),
 slurm-wlm-hdf5-plugin-dev (= ${binary:Version}),
 slurm-wlm-influxdb-plugin-dev (= ${binary:Version}),
 slurm-wlm-ipmi-plugins-dev (= ${binary:Version}),
 slurm-wlm-jwt-plugin-dev (= ${binary:Version}),
 slurm-wlm-rrd-plugin-dev (= ${binary:Version}),
 slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
 ${misc:Depends},
Description: Slurm free plugins development files (metapackage)
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 This package provides development files for all the free SLURM plugins.

Package: slurm-wlm-ipmi-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins (<< 22.05.7-1)
Description: Slurm IPMI plugins
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains the IPMI-based Slurm accounting gathering
 plugins.

Package: slurm-wlm-ipmi-plugins-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-ipmi-plugins (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Description: Slurm IPMI plugins development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains development files for the IPMI-based Slurm
 accounting gathering plugins.

Package: slurm-wlm-hdf5-plugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Description: Slurm HDF5 plugin
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains the HDF5-based Slurm job profiling plugin.

Package: slurm-wlm-hdf5-plugin-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins-dev (= ${binary:Version}),
 slurm-wlm-hdf5-plugin (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Description: Slurm HDF5 plugin development files
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains development files for the HDF5-based Slurm
 job profiling plugin.

Package: slurm-wlm-influxdb-plugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Breaks: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
Description: Slurm InfluxDB plugin
 The Slurm Workload Manager is an open-source cluster resource management and
 job scheduling system that strives to be simple, scalable, portable,
 fault-tolerant, and interconnect agnostic.
 .
 This package contains the InfluxDB-based Slurm job profiling plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow

# Getting the list of the plugins packages excluding the basic package
PLUGIN_PACKAGES_LIST := $(shell grep '^Package' debian/control | grep -o 'slurm-wlm-.*-plugin\(s\)\?$$')
PLUGIN_PACKAGES_LIST := $(filter-out slurm-wlm-basic-plugins,$(PLUGIN_PACKAGES_LIST))


# include defs of all DEB_HOST_*/DEB_BUILD_* vars
include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_TARGET_ARCH_BITS),64)
  ENABLEDEPRECATED = --enable-deprecated
endif

%:
	dh $@ --builddirectory --with bash-completion

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory build-emulator
	rm -rvf $(CURDIR)/debian/tmp-emulator

# We run configure with --disable-debug to avoid the default use of -O0 and
# consequent unprotected source functions, causing lintian report
# hardening-no-fortify-functions
# Notice that -g in CFLAGS is still provided by dpkg-buildflags
override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory build-emulator

override_dh_shlibdeps:
	dh_shlibdeps -O--builddirectory -O--parallel -l$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm-wlm/

override_dh_auto_install:
	dh_auto_install
	
	# Rename slurm(1) manpage before dh_installman run. It is not possible
	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
	mv -v debian/tmp/usr/share/man/man7/slurm.7 debian/tmp/usr/share/man/man7/slurm-wlm.7
	
	# run make install for libpam-slurm pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libpam-slurm-adopt pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam_slurm_adopt install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libslurm[db]-perl pkgs
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/perlapi install DESTDIR=$(CURDIR)/debian/tmp PERL_MM_OPT="INSTALLDIRS=vendor"
	find debian/tmp/$(PERL_ARCHLIB) -type f -name "*.so" | xargs chrpath -d
	
	# run make install for slurm-wlm-torque pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp

	# run make install for PMI pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi install DESTDIR=$(CURDIR)/debian/tmp

	# run make install for PMI2 pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi2 install DESTDIR=$(CURDIR)/debian/tmp

	# clear dependency_libs field in *.la files
	# see lintian non-empty-dependency_libs-in-la-file for reference
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`

	# Rename mpiexec to mpiexec.slurm
	mv -v debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm

	# build manpages for pbs wrappers
	for i in debian/tmp/usr/bin/pbsnodes \
		debian/tmp/usr/bin/mpiexec.slurm \
		debian/tmp/usr/bin/q*; do \
			pod2man -v $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
	done

	# Remove embedded jquery.min.js
	rm -fv debian/tmp/usr/share/doc/slurm-wlm/html/jquery.min.js

	# Rename the header files directory to slurm
	mv -v debian/tmp/usr/include/slurm-wlm debian/tmp/usr/include/slurm

	# Rename binaries that are also in the slurm-wlm-emulator
	mv -v debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
	mv -v debian/tmp/usr/sbin/slurmd debian/tmp/usr/sbin/slurmd-wlm
	mv -v debian/tmp/usr/sbin/slurmstepd debian/tmp/usr/sbin/slurmstepd-wlm

	dh_auto_install --builddirectory build-emulator  --destdir=$(CURDIR)/debian/tmp-emulator
	# Rename binaries in the emulator packages
	mv -v debian/tmp-emulator/usr/sbin/slurmctld debian/tmp-emulator/usr/sbin/slurmctld-wlm-emulator
	mv -v debian/tmp-emulator/usr/sbin/slurmd debian/tmp-emulator/usr/sbin/slurmd-wlm-emulator
	mv -v debian/tmp-emulator/usr/sbin/slurmstepd debian/tmp-emulator/usr/sbin/slurmstepd-wlm-emulator
	mv -v debian/tmp-emulator/usr/bin/sshare	debian/tmp-emulator/usr/bin/sshare-emulator
	mv -v debian/tmp-emulator/usr/bin/scancel 	debian/tmp-emulator/usr/bin/scancel-emulator
	mv -v debian/tmp-emulator/usr/bin/sattach 	debian/tmp-emulator/usr/bin/sattach-emulator
	mv -v debian/tmp-emulator/usr/bin/sbatch 	debian/tmp-emulator/usr/bin/sbatch-emulator
	mv -v debian/tmp-emulator/usr/bin/sreport 	debian/tmp-emulator/usr/bin/sreport-emulator
	mv -v debian/tmp-emulator/usr/bin/sbcast 	debian/tmp-emulator/usr/bin/sbcast-emulator
	mv -v debian/tmp-emulator/usr/bin/srun 	debian/tmp-emulator/usr/bin/srun-emulator
	mv -v debian/tmp-emulator/usr/bin/squeue 	debian/tmp-emulator/usr/bin/squeue-emulator
	mv -v debian/tmp-emulator/usr/bin/sprio 	debian/tmp-emulator/usr/bin/sprio-emulator
	mv -v debian/tmp-emulator/usr/bin/sdiag 	debian/tmp-emulator/usr/bin/sdiag-emulator
	mv -v debian/tmp-emulator/usr/bin/strigger debian/tmp-emulator/usr/bin/strigger-emulator
	mv -v debian/tmp-emulator/usr/bin/sinfo 	debian/tmp-emulator/usr/bin/sinfo-emulator
	mv -v debian/tmp-emulator/usr/bin/salloc 	debian/tmp-emulator/usr/bin/salloc-emulator
	mv -v debian/tmp-emulator/usr/bin/sacct	debian/tmp-emulator/usr/bin/sacct-emulator
	mv -v debian/tmp-emulator/usr/bin/sacctmgr debian/tmp-emulator/usr/bin/sacctmgr-emulator
	mv -v debian/tmp-emulator/usr/bin/scontrol debian/tmp-emulator/usr/bin/scontrol-emulator
	mv -v debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator

	ls debian/tmp/usr/lib/*/slurm-wlm/*.so | sort > debian/all_plugins_filelist

	for f in $(PLUGIN_PACKAGES_LIST) ; do \
		ls $$(cat debian/$$f.install | sed "s/^/debian\/tmp\//") ; \
	done | sort >> debian/plugin_packages_filelist

	comm -23 debian/all_plugins_filelist debian/plugin_packages_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins.install

	ls debian/tmp/usr/lib/*/slurm-wlm/*.a debian/tmp/usr/lib/*/slurm-wlm/*.la | sort > debian/all_plugins_dev_filelist

	for f in $(PLUGIN_PACKAGES_LIST) ; do \
		ls $$(cat debian/$$f-dev.install | sed "s/^/debian\/tmp\//") ; \
	done | sort >> debian/plugin_packages_dev_filelist

	comm -23 debian/all_plugins_dev_filelist debian/plugin_packages_dev_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins-dev.install

override_dh_strip:
	dh_strip -plibslurm38
	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
	dh_strip -pslurm-wlm-elasticsearch-plugin
	dh_strip -pslurm-wlm-hdf5-plugin
	dh_strip -pslurm-wlm-influxdb-plugin
	dh_strip -pslurm-wlm-ipmi-plugins
	dh_strip -pslurm-wlm-jwt-plugin
	dh_strip -pslurm-wlm-rrd-plugin
	dh_strip -pslurm-wlm-mysql-plugin
	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
	dh_strip -pslurmdbd --dbgsym-migration='slurmdbd-dbg (<< 17.02.6~)'
	# we do not care about debug symbols for those pkgs
	dh_strip -plibslurmdb-perl --no-automatic-dbgsym
	dh_strip -plibslurm-perl --no-automatic-dbgsym
	dh_strip -psview --no-automatic-dbgsym
	dh_strip -plibpam-slurm --no-automatic-dbgsym
	dh_strip -plibpam-slurm-adopt --no-automatic-dbgsym
	dh_strip -pslurm-wlm-emulator --no-automatic-dbgsym
	dh_strip -pslurm-client-emulator --no-automatic-dbgsym
	dh_strip -plibpmi0-dev --no-automatic-dbgsym
	dh_strip -plibpmi2-0-dev --no-automatic-dbgsym

## slurm-wlm 22.05.8

=== libsdb/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# TARGETS
TARGOBJ	= libsdb.a

OBJDIR ?= ./objects
SRCS := $(wildcard *.c)
OBJS := $(addprefix $(OBJDIR)/,$(SRCS:.c=.o))

# PROGRAMS
CC	:= gcc
RANLIB	:= ar s

# PATHS
INCDIR  := ../include
HEADERS	:= $(INCDIR)/basil_mysql.h $(INCDIR)/basil_torus.h

# FLAGS
CFLAGS	= -I$(INCDIR) -g -Wall -Werror
CFLAGS += $(DEFS)
CFLAGS += $(shell mysql_config --cflags)

# RULES
.PHONY: clean distclean all

all: $(TARGOBJ)

$(TARGOBJ): $(OBJS)
	@$(AR) $(ARFLAGS) $@ $^
	$(RANLIB) $@

$(OBJDIR)/%.o : %.c $(HEADERS) | $(OBJDIR)/
	$(CC) $(CFLAGS) -c $< -o $@

$(OBJDIR)/:
	mkdir -p $@

tags: $(SRCS) $(wildcard $(INCDIR)/*.h ../libaslps/*.c)
	ctags $^

clean:
	@$(RM) $(OBJS) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGOBJ)

distclean: clean
	@test ! -d $(OBJDIR) || rmdir -v $(OBJDIR)

=== sdb_tests/determine_topology/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
all: check

include ../build.mk

check: $(TARGET)
	./$<

=== debian/changelog ===
slurm-wlm (22.05.8-4+deb12u3) bookworm-security; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Add patch to fix CVE-2025-43904 (Closes: #1104929).

 -- Shengqi Chen <harry@debian.org>  Fri, 04 Jul 2025 17:32:39 +0800

slurm-wlm (22.05.8-4+deb12u2) bookworm-security; urgency=medium

  * Fix CVE-2023-49933, CVE-2023-49935, CVE-2023-49936, CVE-2023-49937,
        CVE-2023-49938 (Closes: #1058720)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 25 Dec 2023 09:26:16 +0100

slurm-wlm (22.05.8-4+deb12u1) bookworm-security; urgency=medium

  * Fix CVE-2023-41914

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 12 Oct 2023 20:09:40 +0200

slurm-wlm (22.05.8-4) unstable; urgency=medium

  * Fix Breaks/Replaces dependencies (Closes: #1034950,
    #1034955, #1034978, #1034987, #1034992)
  * Restore plugstack.conf (Closes: #1035562)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 10 May 2023 00:14:41 +0200

slurm-wlm (22.05.8-3) unstable; urgency=medium

  * Source only upload for testing

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 08 Feb 2023 07:50:18 +0100

slurm-wlm (22.05.8-2) unstable; urgency=medium

  * Fix pmix package for non amd64 architectures
  * Add rsmi plugin
  * Force nvml configuration

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 05 Feb 2023 11:12:16 +0100

slurm-wlm (22.05.8-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete lsb-base dependency
  * Use generic libncurses-dev dependency
  * Restore pmix support

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 31 Jan 2023 22:12:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -32,8 +32,8 @@
 # hardening-no-fortify-functions
 # Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
-	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
+	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
+	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build --builddirectory build-emulator
@@ -143,6 +143,7 @@
 	dh_strip -pslurm-wlm-jwt-plugin
 	dh_strip -pslurm-wlm-rrd-plugin
 	dh_strip -pslurm-wlm-mysql-plugin
+	dh_strip -pslurm-wlm-rsmi-plugin
 	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
 	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
 	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
@@ -155,5 +156,3 @@
 	dh_strip -plibpam-slurm-adopt --no-automatic-dbgsym
 	dh_strip -pslurm-wlm-emulator --no-automatic-dbgsym
 	dh_strip -pslurm-client-emulator --no-automatic-dbgsym
-	dh_strip -plibpmi0-dev --no-automatic-dbgsym
-	dh_strip -plibpmi2-0-dev --no-automatic-dbgsym

=== debian/tests/control ===
Tests: srun
Features: no-build-needed,isolation-container
Restrictions: needs-root
Depends: slurmctld, slurmd, slurm-client

Tests: sbatch
Features: no-build-needed,isolation-container
Restrictions: needs-root
Depends: slurmctld, slurmd, slurm-client

Tests: sacct
Features: no-build-needed,isolation-container
Restrictions: needs-root, allow-stderr
Depends: slurmctld, slurmd, slurm-client, slurmdbd, mariadb-client, mariadb-server

Tests: mpi
Features: no-build-needed,isolation-container
Restrictions: needs-root, allow-stderr
Depends: slurmctld, slurmd, slurm-client, mpi-default-dev, gcc, mpich-doc

## slurm-wlm 23.02.3

=== debian/changelog ===
slurm-wlm (23.02.3-1) unstable; urgency=medium

  * New upstream major release (Closes: #1036109)
  * Remove default cgroup basedir patch now handled upstream
  * Refresh patches
  * Bump libslurm to soname 39
  * Update configurators
  * Update d/copyright
  * Clean lintian warning for plugins packages
  * Add libpam dev packages
  * Add scrun and scrontab commands
  * Add configuration manpages
  * Update fix-spelling-error patch
  * Bump debhelper compatibility level to 13
  * Add kafka plugin
  * Add debug packages for emulators

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 25 Jun 2023 17:56:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Mehdi Dogguy <mehdi@debian.org>,
            Gennaro Oliva <oliva.g@na.icar.cnr.it>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 13),
  libmunge-dev,
- libncurses5-dev,
+ libncurses-dev,
  po-debconf,
  python3,
  libgtk2.0-dev,
@@ -27,13 +27,16 @@
  libhdf5-dev,
  man2html,
  libcurl4-openssl-dev,
+ libpmix-dev,
  libhttp-parser-dev,
  libyaml-dev,
  libjson-c-dev,
  libjwt-dev,
  liblz4-dev,
  bash-completion,
- libdbus-1-dev
+ libdbus-1-dev,
+ librdkafka-dev,
+ librocm-smi-dev
 Standards-Version: 4.6.2
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
@@ -87,7 +90,7 @@
  slurm-wlm-basic-plugins (= ${binary:Version}),
  ucf,
  munge,
- lsb-base (>= 3.2-12)
+Pre-Depends: ${misc:Pre-Depends}
 Description: Slurm compute node daemon
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -103,14 +106,14 @@
  slurm-wlm-basic-plugins (= ${binary:Version}),
  ucf,
  munge,
- lsb-base (>= 3.2-12)
+Pre-Depends: ${misc:Pre-Depends}
 Description: Slurm central management daemon
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
  fault-tolerant, and interconnect agnostic.
  This package contains the central management daemon slurmctld.
 
-Package: libslurm38
+Package: libslurm39
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -149,7 +152,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm38 (= ${binary:Version})
+ libslurm39 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -166,7 +169,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm38 (= ${binary:Version})
+ libslurm39 (= ${binary:Version})
 Description: Slurm PMI library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -181,7 +184,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm38 (= ${binary:Version})
+ libslurm39 (= ${binary:Version})
 Description: Slurm PMI2 library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -240,6 +243,7 @@
  slurm-wlm-jwt-plugin (= ${binary:Version}),
  slurm-wlm-rrd-plugin (= ${binary:Version}),
  slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
+ slurm-wlm-rsmi-plugin (= ${binary:Version}),
  ${misc:Depends},
 Description: Slurm free plugins (metapackage)
  The Slurm Workload Manager is an open-source cluster resource management and
@@ -258,6 +262,7 @@
  slurm-wlm-jwt-plugin-dev (= ${binary:Version}),
  slurm-wlm-rrd-plugin-dev (= ${binary:Version}),
  slurm-wlm-mysql-plugin-dev (= ${binary:Version}),
+ slurm-wlm-rsmi-plugin-dev (= ${binary:Version}),
  ${misc:Depends},
 Description: Slurm free plugins development files (metapackage)
  The Slurm Workload Manager is an open-source cluster resource management and
@@ -305,6 +310,8 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-wlm-basic-plugins (= ${binary:Version})
+Breaks: slurm-wlm-basic-plugins (<< 22.05.7-1), slurm-client (<< 22.05.7-1)
+Replaces: slurm-wlm-basic-plugins (<< 22.05.7-1), slurm-client (<< 22.05.7-1)
 Description: Slurm HDF5 plugin
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -330,18 +337,11 @@
  This package contains development files for the HDF5-based Slurm
  job profiling plugin.
 
-Package: slurm-wlm-influxdb-plugin
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
+Package: slurm-wlm-rsmi-plugin
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ librocm-smi64-1,
  slurm-wlm-basic-plugins (= ${binary:Version})
-Breaks: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
-Replaces: slurm-wlm-basic-plugins-dev (<< 22.05.7-1)
-Description: Slurm InfluxDB plugin
- The Slurm Workload Manager is an open-source cluster resource management and
- job scheduling system that strives to be simple, scalable, portable,
- fault-tolerant, and interconnect agnostic.
- .
- This package contains the InfluxDB-based Slurm job profiling plugin.
-
+Description: Slurm RSMI plugin

=== debian/rules ===
--- 
+++ 
@@ -132,7 +132,7 @@
 	comm -23 debian/all_plugins_dev_filelist debian/plugin_packages_dev_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins-dev.install
 
 override_dh_strip:
-	dh_strip -plibslurm38
+	dh_strip -plibslurm39
 	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
@@ -144,15 +144,16 @@
 	dh_strip -pslurm-wlm-rrd-plugin
 	dh_strip -pslurm-wlm-mysql-plugin
 	dh_strip -pslurm-wlm-rsmi-plugin
+	dh_strip -pslurm-wlm-kafka-plugin
 	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
 	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
 	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
 	dh_strip -pslurmdbd --dbgsym-migration='slurmdbd-dbg (<< 17.02.6~)'
+	dh_strip -pslurm-client-emulator
+	dh_strip -pslurm-wlm-emulator
 	# we do not care about debug symbols for those pkgs
 	dh_strip -plibslurmdb-perl --no-automatic-dbgsym
 	dh_strip -plibslurm-perl --no-automatic-dbgsym
 	dh_strip -psview --no-automatic-dbgsym
 	dh_strip -plibpam-slurm --no-automatic-dbgsym
 	dh_strip -plibpam-slurm-adopt --no-automatic-dbgsym
-	dh_strip -pslurm-wlm-emulator --no-automatic-dbgsym
-	dh_strip -pslurm-client-emulator --no-automatic-dbgsym

## slurm-wlm 23.02.6

=== debian/changelog ===
slurm-wlm (23.02.6-1ubuntu2) noble; urgency=medium

  * Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 09:33:55 +0200

slurm-wlm (23.02.6-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:57:02 +0200

slurm-wlm (23.02.6-1) unstable; urgency=medium

  * New upstream release fixes CVE-2023-41914

 -- Gennaro Oliva <oliva@debian.org>  Thu, 12 Oct 2023 18:45:16 +0200

slurm-wlm (23.02.5-1) unstable; urgency=medium

  [ Gennaro Oliva ]
  * New upstream release
  * Refresh patches

  [ Tobias Pape ]
  * Add pam-configs for the pam packages

 -- Gennaro Oliva <oliva@debian.org>  Sun, 01 Oct 2023 23:41:22 +0200

slurm-wlm (23.02.3-2ubuntu1) mantic; urgency=medium

  * d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 18 Jul 2023 08:34:09 -0700

slurm-wlm (23.02.3-2) unstable; urgency=medium

  * Fix d/not-installed (Closes: #1040129)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 02 Jul 2023 22:55:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: slurm-wlm
 Section: admin
 Priority: optional
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Rémi Palancher <remi@rezib.org>,
            Mehdi Dogguy <mehdi@debian.org>,
-           Gennaro Oliva <oliva.g@na.icar.cnr.it>,
+           Gennaro Oliva <oliva@debian.org>,
 Build-Depends:
  debhelper (>= 13),
  libmunge-dev,
@@ -344,4 +345,3 @@
  ${misc:Depends},
  librocm-smi64-1,
  slurm-wlm-basic-plugins (= ${binary:Version})
-Description: Slurm RSMI plugin

## slurm-wlm 23.11.3

=== debian/changelog ===
slurm-wlm (23.11.3-2ubuntu2) noble; urgency=medium

  * Rebuild against new libjwt2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 11:11:10 +0100

slurm-wlm (23.11.3-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Feb 2024 21:53:20 +0100

slurm-wlm (23.11.3-2) unstable; urgency=medium

  * Team upload
  * Source-only reupload for testing migration.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Feb 2024 21:45:47 +0100

slurm-wlm (23.11.3-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Mark sbatch DEP-8 test as flaky (LP: #2028073)
    - Mark one symbol disappeared with new glibc as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Feb 2024 09:26:39 +0100

slurm-wlm (23.11.3-1) unstable; urgency=medium

  * New upstream major release (Closes: #1058720)
  * Update service files
  * Update copyright file
  * Refresh patches
  * Bump libslurm to soname 40
  * Create sackd package

 -- Gennaro Oliva <oliva@debian.org>  Thu, 08 Feb 2024 18:32:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: slurm-wlm
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Rémi Palancher <remi@rezib.org>,
            Mehdi Dogguy <mehdi@debian.org>,
            Gennaro Oliva <oliva@debian.org>,
@@ -114,7 +113,7 @@
  fault-tolerant, and interconnect agnostic.
  This package contains the central management daemon slurmctld.
 
-Package: libslurm39
+Package: libslurm40
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -153,7 +152,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm39 (= ${binary:Version})
+ libslurm40 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -170,7 +169,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm39 (= ${binary:Version})
+ libslurm40 (= ${binary:Version})
 Description: Slurm PMI library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -185,7 +184,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm39 (= ${binary:Version})
+ libslurm40 (= ${binary:Version})
 Description: Slurm PMI2 library implementation development files
  The Slurm Workload Manager is an open-source cluster resource management and
  job scheduling system that strives to be simple, scalable, portable,
@@ -345,3 +344,4 @@
  ${misc:Depends},
  librocm-smi64-1,
  slurm-wlm-basic-plugins (= ${binary:Version})
+Description: Slurm RSMI plugin

=== debian/rules ===
--- 
+++ 
@@ -132,7 +132,7 @@
 	comm -23 debian/all_plugins_dev_filelist debian/plugin_packages_dev_filelist | sed "s/^debian\/tmp\///" >> debian/slurm-wlm-basic-plugins-dev.install
 
 override_dh_strip:
-	dh_strip -plibslurm39
+	dh_strip -plibslurm40
 	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
@@ -145,6 +145,7 @@
 	dh_strip -pslurm-wlm-mysql-plugin
 	dh_strip -pslurm-wlm-rsmi-plugin
 	dh_strip -pslurm-wlm-kafka-plugin
+	dh_strip -psackd
 	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
 	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
 	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
@@ -156,4 +157,3 @@
 	dh_strip -plibslurm-perl --no-automatic-dbgsym
 	dh_strip -psview --no-automatic-dbgsym
 	dh_strip -plibpam-slurm --no-automatic-dbgsym
-	dh_strip -plibpam-slurm-adopt --no-automatic-dbgsym
